Package org.eclipse.equinox.plurl.impl

# Class PlurlImpl.ContentHandlerFactoryHolder

java.lang.Object
org.eclipse.equinox.plurl.impl.PlurlImpl.PlurlFactoryHolder<ContentHandlerFactory,ContentHandler>
org.eclipse.equinox.plurl.impl.PlurlImpl.ContentHandlerFactoryHolder

All Implemented Interfaces:
  `PlurlFactory`

Enclosing class:
  `PlurlImpl`

public class PlurlImpl.ContentHandlerFactoryHolder extends PlurlImpl.PlurlFactoryHolder<ContentHandlerFactory,ContentHandler>

## Constructor Summary

Constructors
Constructor
Description
`ContentHandlerFactoryHolder(ContentHandlerFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected ContentHandler`
`createHandler(String mimetype, ContentHandlerFactory f)`
`protected void`
`remove(ContentHandlerFactory f)`

### Methods inherited from class org.eclipse.equinox.plurl.impl.PlurlImpl.PlurlFactoryHolder

`shouldHandle, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContentHandlerFactoryHolder

public ContentHandlerFactoryHolder(ContentHandlerFactory factory)

## Method Details

### createHandler

protected ContentHandler createHandler(String mimetype, ContentHandlerFactory f)

Specified by:
  `createHandler` in class `PlurlImpl.PlurlFactoryHolder<ContentHandlerFactory,ContentHandler>`

### remove

protected void remove(ContentHandlerFactory f)

Specified by:
  `remove` in class `PlurlImpl.PlurlFactoryHolder<ContentHandlerFactory,ContentHandler>`